// language.h

namespace language {
	
struct LanguagePack {
	const char *RandomGreeting;
	const char *Track;
	const char *Preview;
	const char *Track1Msg;
	const char *Track2Msg;
	const char *Track3Msg;
	const char *Ready;
	const char *Go;
	const char *Finished;
	const char *Lap;
	const char *Frozen;
	const char *OpponentsFrozen;
	const char *Wonky;
	const char *Turbo;
	const char *Quit;
	const char *OutOfBounds;
};

extern LanguagePack English;
extern LanguagePack AolUser;
extern LanguagePack French;

struct LanguageChoice {
	const char *name;
	LanguagePack * pack;
};

extern LanguageChoice languages[];
extern LanguagePack * current;

};

